org.rrd4j.graph

## Enum TimeUnit

- java.lang.Object
- - java.lang.Enum<TimeUnit>
  - - org.rrd4j.graph.TimeUnit

- All Implemented Interfaces:
    Serializable, Comparable<TimeUnit>

      public enum TimeUnit
      extends Enum<TimeUnit>

  Enumeration of time units used in RRD graphs. Provides mapping between calendar constants and time unit labels for axis formatting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MINUTE`
    `MONTH`
    `SECOND`
    `WEEK`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getLabel()`
    `static TimeUnit` | `resolveUnit(int unitKey)`
    `static TimeUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimeUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAY

          public static final TimeUnit DAY

    - #### HOUR

          public static final TimeUnit HOUR

    - #### MINUTE

          public static final TimeUnit MINUTE

    - #### MONTH

          public static final TimeUnit MONTH

    - #### SECOND

          public static final TimeUnit SECOND

    - #### WEEK

          public static final TimeUnit WEEK

    - #### YEAR

          public static final TimeUnit YEAR

  - ### Method Detail

    - #### getLabel

          public abstract String getLabel()

    - #### resolveUnit

          public static TimeUnit resolveUnit(int unitKey)

    - #### valueOf

          public static TimeUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TimeUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeUnit c : TimeUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared